html, body {
  margin: 0;
  padding: 0;
  background: black;
  font-family: Arial, Helvetica, sans-serif;
}

#container {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

#player {
  width: 100%;
  height: 100%;
}

#choice {
  position: absolute;
  right: 0;
  left: 0;
  padding: 32px 64px;
  background: black;
  z-index: 1;

  bottom: -100%;
  opacity: 0;
  pointer-events: none;
  transition: all 2s ease-in-out;
}

#choice.show {
  bottom: -0%;
  opacity: 1;
  pointer-events: auto;
}

#choice_timer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: white;
  transform: scaleX(1);
  transition: transform 250ms linear;
}

#choices {
  margin: 0;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

#choices > li {
  color: white;
  list-style: none;
  text-align: center;
  text-transform: uppercase;
  opacity: .6;
  font-size: 1.5vw;
  cursor: pointer;
  position: relative;
  padding-bottom: 8px;
}

#choices > li:hover {
  opacity: 1;
}

#choices > li:hover:after {
  content: '';
  background: url(./assets/choice_underline.webp);
  background-size: cover;
  position: absolute;
  bottom: 0;
  width: 200px;
  height: 4px;
  left: 50%;
  transform: translateX(-50%);
}

.preloading {
  display: none;
}